Skip to content
This repository

Ruby 2 support #55

Open
chneukirchen opened this Issue March 26, 2013 · 1 comment

2 participants

Christian Neukirchen Gernot Höflechner
Christian Neukirchen

Do perftools.rb support Ruby 2? I get compile errors like:

perftools.c: In function ‘rb_stack_trace’:
perftools.c:159:9: error: ‘ID_ALLOCATOR’ undeclared (first use in this function)

If Ruby 2 is not supported yet, perhaps required_ruby_version could be set in the Gemspec and mentioned in the README.

Gernot Höflechner
LFDM commented April 07, 2013

Having this issue myself - however, it seems that the perftools itself are not directly to blame, cf.: http://www.ruby-forum.com/topic/4407660

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.